---------------------
PatchSet 954 
Date: 2000/12/18 09:10:00
Author: hno
Branch: hno-2_2-mara
Tag: (none) 
Log:
CACHE_HTTP_PORT substitution in cf.data, and make
visible_http_port default to it (if set to 0 first http_port is used).

Members: 
	build.sh:1.1.2.1->1.1.2.2 
	configure.in:1.1.1.2.2.1.4.1->1.1.1.2.2.1.4.2 
	src/Makefile.in:1.1.1.2.6.1->1.1.1.2.6.1.2.1 
	src/cf.data.pre:1.1.1.2.2.1.4.1->1.1.1.2.2.1.4.2 

Index: squid/build.sh
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/build.sh,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/build.sh	18 Dec 2000 08:45:03 -0000	1.1.2.1
+++ squid/build.sh	18 Dec 2000 09:10:00 -0000	1.1.2.2
@@ -1,5 +1,15 @@
 #!/bin/sh
 s=`dirname $0`
+if [ ! -f $s/configure ]; then
+    (
+	cd $s
+	autoconf
+	autoheader
+	cd icons
+	sh icons.shar
+    )
+fi
+ulimit -HSn 4000
 CACHE_HTTP_PORT=80 $s/configure  --prefix=/usr \
     --exec_prefix=/usr --bindir=/usr/sbin --libexecdir=/squid/usr/lib/squid \
     --localstatedir=/squid/var --sysconfdir=/squid/etc --enable-poll \
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.2.2.1.4.1
retrieving revision 1.1.1.2.2.1.4.2
diff -u -r1.1.1.2.2.1.4.1 -r1.1.1.2.2.1.4.2
--- squid/configure.in	18 Dec 2000 08:31:31 -0000	1.1.1.2.2.1.4.1
+++ squid/configure.in	18 Dec 2000 09:10:00 -0000	1.1.1.2.2.1.4.2
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.2.2.1.4.1 2000/12/18 08:31:31 hno Exp $
+dnl  $Id: configure.in,v 1.1.1.2.2.1.4.2 2000/12/18 09:10:00 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.2.2.1.4.1 $)dnl
+AC_REVISION($Revision: 1.1.1.2.2.1.4.2 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -49,7 +49,9 @@
 
 dnl Subsitutions
 AC_DEFINE_UNQUOTED(CACHE_HTTP_PORT, $CACHE_HTTP_PORT)
+AC_SUBST(CACHE_HTTP_PORT)
 AC_DEFINE_UNQUOTED(CACHE_ICP_PORT, $CACHE_ICP_PORT)
+AC_SUBST(CACHE_ICP_PORT)
 
 AC_DEFINE_UNQUOTED(CONFIG_HOST_TYPE, "$host")
 
Index: squid/src/Makefile.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/Makefile.in,v
retrieving revision 1.1.1.2.6.1
retrieving revision 1.1.1.2.6.1.2.1
diff -u -r1.1.1.2.6.1 -r1.1.1.2.6.1.2.1
--- squid/src/Makefile.in	9 Nov 2000 15:23:02 -0000	1.1.1.2.6.1
+++ squid/src/Makefile.in	18 Dec 2000 09:10:00 -0000	1.1.1.2.6.1.2.1
@@ -1,7 +1,7 @@
 #
 #  Makefile for the Squid Object Cache server
 #
-#  $Id: Makefile.in,v 1.1.1.2.6.1 2000/11/09 15:23:02 hno Exp $
+#  $Id: Makefile.in,v 1.1.1.2.6.1.2.1 2000/12/18 09:10:00 hno Exp $
 #
 #  Uncomment and customize the following to suit your needs:
 #
@@ -41,6 +41,7 @@
 DEFAULT_ICON_DIR	= $(libexecdir)/icons
 DEFAULT_ERROR_DIR	= $(sysconfdir)/errors
 DEFAULT_MIB_PATH	= $(sysconfdir)/mib.txt
+DEFAULT_HTTP_PORT	= @CACHE_HTTP_PORT@
 
 CC		= @CC@
 MAKEDEPEND	= @MAKEDEPEND@
@@ -253,8 +254,9 @@
 	s%@DEFAULT_ICON_DIR@%$(DEFAULT_ICON_DIR)%g;\
 	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
 	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;"\
-	< $(srcdir)/cf.data.pre >$@
+	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;\
+	s%@CACHE_HTTP_PORT\@%$(DEFAULT_HTTP_PORT)%g;\
+	"< $(srcdir)/cf.data.pre >$@
 
 install-mkdirs:
 	-@if test ! -d $(prefix); then \
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.2.2.1.4.1
retrieving revision 1.1.1.2.2.1.4.2
diff -u -r1.1.1.2.2.1.4.1 -r1.1.1.2.2.1.4.2
--- squid/src/cf.data.pre	18 Dec 2000 08:39:53 -0000	1.1.1.2.2.1.4.1
+++ squid/src/cf.data.pre	18 Dec 2000 09:10:00 -0000	1.1.1.2.2.1.4.2
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.2.2.1.4.1 2000/12/18 08:39:53 hno Exp $
+# $Id: cf.data.pre,v 1.1.1.2.2.1.4.2 2000/12/18 09:10:00 hno Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -56,11 +56,11 @@
 NAME: http_port ascii_port
 TYPE: ipportlist
 DEFAULT: none
-DEFAULT_IF_NONE: 3128
+DEFAULT_IF_NONE: @CACHE_HTTP_PORT@
 LOC: Config.Port.http
 DOC_START
 	The port number where Squid will listen for HTTP client
-	requests.  Default is 3128, for httpd-accel mode use port 80.
+	requests.  Default is @CACHE_HTTP_PORT@, for httpd-accel mode use port 80.
 	May be overridden with -a on the command line.
 
 	You may specify multiple ports here, but they MUST all be on
@@ -76,11 +76,13 @@
 NAME: visible_http_port ascii_port
 TYPE: ushort
 DEFAULT: none
+DEFAULT_IF_NONE: @CACHE_HTTP_PORT@
 LOC: Config.Port.visible_http
 DOC_START
 	The port number which will be used for internal objects
 	(icons, digests and so on).
-	Defaults to the firts http_port if not set
+	Defaults to @CACHE_HTTP_PORT@, or first http_port if set
+	to 0
 http_port 3128
 DOC_END
 
